5 votos

Hay alguna forma de usar Safari 5.1 del motor de renderizado para la prueba del navegador en OSX 10.8 (Mountain Lion)?

Tengo OSX 10.8.2 (Mountain Lion) en mi Mac, que viene con Safari 6.1. Un par de mis clientes han estado reportando menores errores de CSS utilizando Safari 5.1, que yo, obviamente, no se puede instalar. Esto hace que la fijación de estos errores muy, muy difícil.

Hay métodos recomendados para las pruebas con los motores de renderizado de antiguas versiones de Safari? Existiría una adecuada vintage versión de Webkit que sería capaz de instalar en 10.8, como la correspondiente nightlies negarse a ejecutar?

2voto

Joe Sniderman Puntos 2104

He encontrado un proyecto en línea que creo que utiliza un viejo WEBKIT representador.. http://michelf.ca/projects/multi-safari/ da versiones antiguas, pero no sé que va a ser capaz de ejecutar en su nueva máquina. Para mí, que me estoy quedando en la 4.0.5 debido a la reducción del uso de la RAM.

-2voto

Paul Puntos 669

La última versión de Safari es el Navegador 6.0.5. Sus clientes deben de estar utilizando la versión más reciente. Pero para que usted pueda probar en versiones anteriores, entrar en el Asistente de Boot Camp para instalar una versión anterior de OS X (con los Discos que vinieron con su Mac). He Lion y Tigre en este MacBook estoy publicando esta respuesta. Arranque en Tigre y trate de reproducir el problema. Asegúrese de no actualización de Safari en el que OS.

-5voto

Mark Cohen Puntos 566

Puede habilitar el menú desarrollo en la Preferencias > Avanzado opción " mostrar el menú desarrollo en la barra de menús).

Una vez que usted hace esto, usted puede cambiar el agente de usuario para las versiones más antiguas de Safari.

AppleAyuda.com

AppleAyuda es una comunidad de usuarios de los productos de Apple en la que puedes resolver tus problemas y dudas.
Puedes consultar las preguntas de otros usuarios, hacer tus propias preguntas o resolver las de los demás.

Powered by: